type: collection.insomnia.rest/5.0
name: AutoBase
meta:
  id: wrk_50d66b1301124f4e8e5c0f8294eb4a43
  created: 1758649292736
  modified: 1758651762561
  description: ""
collection:
  - name: Auth
    meta:
      id: fld_a29557e1c9b64c6e9aec9600e9f9b79d
      created: 1758649341770
      modified: 1758650067108
      sortKey: -1758649341770
      description: ""
    children:
      - url: https://placas.app.br/api/v1/authenticate
        name: Gerar Token
        meta:
          id: req_9a662e5bb97746b28d96b560f12550d9
          created: 1758649325384
          modified: 1758650003571
          isPrivate: false
          description: ""
          sortKey: -1758649346606
        method: POST
        body:
          mimeType: application/json
          text: |-
            {
                "email": "dr.renatotavares@gmail.com",
                "password": "123456"
            }
        headers:
          - name: Content-Type
            value: application/json
          - name: User-Agent
            value: insomnia/11.6.1
        authentication:
          type: bearer
          token: .xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx.zEnnU_MTjz5XyKM77g_rGqXLx0Lqh5l_qhZCshgus4A
          disabled: true
        settings:
          renderRequestBody: true
          encodeUrl: true
          followRedirects: global
          cookies:
            send: true
            store: true
          rebuildPath: true
      - url: https://placas.app.br/api/v1/users/me
        name: Testar Token
        meta:
          id: req_4a18197491f44b299f4e12f0e219069d
          created: 1758649778768
          modified: 1758649856517
          isPrivate: false
          description: ""
          sortKey: -1758649346506
        method: GET
        headers:
          - name: User-Agent
            value: insomnia/11.6.1
        authentication:
          type: bearer
          token: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx.zEnnU_MTjz5XyKM77g_rGqXLx0Lqh5l_qhZCshgus4A
        settings:
          renderRequestBody: true
          encodeUrl: true
          followRedirects: global
          cookies:
            send: true
            store: true
          rebuildPath: true
  - name: Placas
    meta:
      id: fld_35c32240202241fd8ca96c41a0c1110b
      created: 1758649907803
      modified: 1758650076403
      sortKey: -1758649341870
      description: ""
    children:
      - url: https://placas.app.br/api/v1/placas/numero
        name: Dados da Placa
        meta:
          id: req_959c80e885e445b0a6d704d3983dd8e5
          created: 1758649911732
          modified: 1758650033967
          isPrivate: false
          description: ""
          sortKey: -1758649911732
        method: POST
        body:
          mimeType: application/json
          text: |-
            {
                "placa": "aaa0005"
            }
        headers:
          - name: Content-Type
            value: application/json
          - name: User-Agent
            value: insomnia/11.6.1
        authentication:
          type: bearer
          token: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx.zEnnU_MTjz5XyKM77g_rGqXLx0Lqh5l_qhZCshgus4A
        settings:
          renderRequestBody: true
          encodeUrl: true
          followRedirects: global
          cookies:
            send: true
            store: true
          rebuildPath: true
  - name: Dados Fipe
    meta:
      id: fld_d8df41a277454a9b989d0ced6542941b
      created: 1758650103025
      modified: 1758650103025
      sortKey: -1758650103025
      description: ""
    children:
      - url: https://placas.app.br/api/v1/fipe/codigo
        name: Código FIPE
        meta:
          id: req_6d9533d874c24261adc96c98b1c867f7
          created: 1758650121356
          modified: 1758650192264
          isPrivate: false
          description: ""
          sortKey: -1758650121356
        method: POST
        body:
          mimeType: application/json
          text: |-
            {
                "codigo": "038001-6"
            }
        headers:
          - name: Content-Type
            value: application/json
          - name: User-Agent
            value: insomnia/11.6.1
        authentication:
          type: bearer
          token: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx.zEnnU_MTjz5XyKM77g_rGqXLx0Lqh5l_qhZCshgus4A
        settings:
          renderRequestBody: true
          encodeUrl: true
          followRedirects: global
          cookies:
            send: true
            store: true
          rebuildPath: true
      - url: https://placas.app.br/api/v1/fipe/modelo
        name: Modelo FIPE
        meta:
          id: req_b53040c7828145e7bdd7c1487737e7c1
          created: 1758650290268
          modified: 1758650330513
          isPrivate: false
          description: ""
          sortKey: -1758650016544
        method: POST
        body:
          mimeType: application/json
          text: |-
            {
                "modelo": "gol 1.6"
            }
        headers:
          - name: Content-Type
            value: application/json
          - name: User-Agent
            value: insomnia/11.6.1
        authentication:
          type: bearer
          token: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx.zEnnU_MTjz5XyKM77g_rGqXLx0Lqh5l_qhZCshgus4A
        settings:
          renderRequestBody: true
          encodeUrl: true
          followRedirects: global
          cookies:
            send: true
            store: true
          rebuildPath: true
      - url: https://placas.app.br/api/v1/fipe/marca
        name: Marca FIPE
        meta:
          id: req_6394b437d8314a6daaddaa6f10eb3a84
          created: 1758650363406
          modified: 1758650374533
          isPrivate: false
          description: ""
          sortKey: -1758649964138
        method: POST
        body:
          mimeType: application/json
          text: |-
            {
                "marca": "Suzuki"
            }
        headers:
          - name: Content-Type
            value: application/json
          - name: User-Agent
            value: insomnia/11.6.1
        authentication:
          type: bearer
          token: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx.zEnnU_MTjz5XyKM77g_rGqXLx0Lqh5l_qhZCshgus4A
        settings:
          renderRequestBody: true
          encodeUrl: true
          followRedirects: global
          cookies:
            send: true
            store: true
          rebuildPath: true
      - url: https://placas.app.br/api/v1/fipe/marca-modelo
        name: Marca e Modelo FIPE
        meta:
          id: req_5eb16976acaf4a558916cd27e4a2726c
          created: 1758650403078
          modified: 1758650432849
          isPrivate: false
          description: ""
          sortKey: -1758649937935
        method: POST
        body:
          mimeType: application/json
          text: |-
            {
                "marca": "Suzuki",
                "modelo": "Grand Vitara 2.0 TB-IC Diesel 4p"
            }
        headers:
          - name: Content-Type
            value: application/json
          - name: User-Agent
            value: insomnia/11.6.1
        authentication:
          type: bearer
          token: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx.zEnnU_MTjz5XyKM77g_rGqXLx0Lqh5l_qhZCshgus4A
        settings:
          renderRequestBody: true
          encodeUrl: true
          followRedirects: global
          cookies:
            send: true
            store: true
          rebuildPath: true
      - url: https://placas.app.br/api/v1/fipe/codigo-marca
        name: Código Marca FIPE
        meta:
          id: req_597846d46cbf47bda3cca59769123cd7
          created: 1758651522515
          modified: 1758651538855
          isPrivate: false
          description: ""
          sortKey: -1758649924833.5
        method: POST
        body:
          mimeType: application/json
          text: |-
            {
                "codigo": "4"
            }
        headers:
          - name: Content-Type
            value: application/json
          - name: User-Agent
            value: insomnia/11.6.1
        authentication:
          type: bearer
          token: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx.zEnnU_MTjz5XyKM77g_rGqXLx0Lqh5l_qhZCshgus4A
        settings:
          renderRequestBody: true
          encodeUrl: true
          followRedirects: global
          cookies:
            send: true
            store: true
          rebuildPath: true
      - url: https://placas.app.br/api/v1/fipe/codigo-modelo
        name: Código Modelo FIPE
        meta:
          id: req_4bab235a540b4c48b7723b576fcb5526
          created: 1758651584916
          modified: 1758651596501
          isPrivate: false
          description: ""
          sortKey: -1758649918282.75
        method: POST
        body:
          mimeType: application/json
          text: |-
            {
                "codigo": "21"
            }
        headers:
          - name: Content-Type
            value: application/json
          - name: User-Agent
            value: insomnia/11.6.1
        authentication:
          type: bearer
          token: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx.zEnnU_MTjz5XyKM77g_rGqXLx0Lqh5l_qhZCshgus4A
        settings:
          renderRequestBody: true
          encodeUrl: true
          followRedirects: global
          cookies:
            send: true
            store: true
          rebuildPath: true
      - url: https://placas.app.br/api/v1/fipe/codigo-modelo-ano
        name: Código Modelo e Ano FIPE
        meta:
          id: req_4dec70baedf943dcb999ef6b2607fdbd
          created: 1758651634569
          modified: 1758651648389
          isPrivate: false
          description: ""
          sortKey: -1758649915007.375
        method: POST
        body:
          mimeType: application/json
          text: |-
            {
                "codigo": "21",
                "ano": "2000"
            }
        headers:
          - name: Content-Type
            value: application/json
          - name: User-Agent
            value: insomnia/11.6.1
        authentication:
          type: bearer
          token: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx.zEnnU_MTjz5XyKM77g_rGqXLx0Lqh5l_qhZCshgus4A
        settings:
          renderRequestBody: true
          encodeUrl: true
          followRedirects: global
          cookies:
            send: true
            store: true
          rebuildPath: true
cookieJar:
  name: Default Jar
  meta:
    id: jar_4c966ae2e2eed485311f63ec6f7b2a687b68bfd8
    created: 1758649292737
    modified: 1758649292737
environments:
  name: Variáveis
  meta:
    id: env_4c966ae2e2eed485311f63ec6f7b2a687b68bfd8
    created: 1758649292736
    modified: 1758649586819
    isPrivate: false
